#include "donationdialog.h"
#include "ui_donationdialog.h"

#include <QDesktopServices>
#include <QUrl>
#include "../helpers/gui.h"

#define DONATION_URL "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=UJTM2GDGPEFHA"

DonationDialog::DonationDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DonationDialog)
{
    ui->setupUi(this);
    Gui::showCentered(this, parent);
}

DonationDialog::~DonationDialog()
{
    delete ui;
}

void DonationDialog::on_pushButton_clicked()
{
    this->close();
}

void DonationDialog::on_label_3_linkActivated(const QString)
{
#if QT_VERSION >= 0x050000
    QDesktopServices::openUrl(QUrl(DONATION_URL));
#else
    QDesktopServices::openUrl(QUrl((QString)DONATION_URL));
#endif
    this->close();
}
