//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "coverletterparagraph.h"
#include "abstract/field/multilinefield.h"
#include "abstract/field/multiparagraphfield.h"

CoverLetterParagraph::CoverLetterParagraph(QWidget *parent) :
    FieldsGroup(parent,"coverletterparagraph","Paragraph",true,true)
{
    addField(new MultiParagraphField(this,"start","Starting Sentences",NULL,true,true,true));
    addField(new MultiLineField(this,"items","Items",NULL,true,true,true));
    addField(new MultiParagraphField(this,"end","Ending Sentences",NULL,true,true,true));
}
