//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef TEMPLATOR_H
#define TEMPLATOR_H

#include <QObject>

class Translate {
private:
    QString m_from;
    QString m_to;
public:
    Translate(QString from, QString to): m_from(from), m_to(to) {};
    QString from() {return this->m_from;};
    QString to() {return this->m_to;};
};

class Templator
{
public:
    Templator();
    static QString readTemplate(QString templateName, QList<Translate*> templatetranslates);
};

#endif // TEMPLATOR_H
