//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef JOBAPPLICATION_H
#define JOBAPPLICATION_H

#include "abstract/field/abstract/fieldsgroup.h"

class JobApplication : public FieldsGroup
{
    Q_OBJECT
public:
    enum JobApplicationState {
        Unknown,
        OnGoing,
        PendingMeCritical,
        PendingThemCritical,
        Abandoned
    };
    explicit JobApplication(QWidget *parent = 0);
    JobApplicationState jobApplicationState();
    void fold(bool fold);
    QString exportCSV();

signals:

public slots:

};

#endif // JOBAPPLICATION_H
